path: /build/build/libmanette-dev-libs-0.2.6.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="introspection udev vala" emerge dev-libs/libmanette -pv -t && \
    USE="introspection udev vala" emerge -j ${JOBS} --nodeps dev-libs/libmanette
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/libmanette && luet-portage --dir /pkgdir/libmanette
    dev-libs/libmanette && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:a4cb95568712443c951fdee425f683b838de5df5c88a43747129a7e73bf3559b
  package:
    name: libmanette
    version: 0.2.6
    category: dev-libs
    use_flags:
    - introspection
    - udev
    - vala
    requires:
    - name: macaroni-funtoo-race16
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Simple GObject game controller library
    uri:
    - https://gitlab.gnome.org/aplazas/libmanette
    license: LGPL-2.1+
    buildtimestamp: 2023-09-18 15:11:35.212438625 +0000 UTC m=+116.699708012
    labels:
      BDEPEND: app-arch/xz-utils >=dev-util/meson-0.48.2 >=dev-util/ninja-1.7.2
      DEPEND: vala? ( || ( dev-lang/vala:0.50 dev-lang/vala:0.48 dev-lang/vala:0.46
        dev-lang/vala:0.44 dev-lang/vala:0.42 dev-lang/vala:0.40 dev-lang/vala:0.36
        ) ) virtual/pkgconfig dev-util/desktop-file-utils x11-misc/shared-mime-info
      IUSE: +introspection +udev +vala
      RDEPEND: '>=dev-libs/glib-2.62.2:2 udev? ( dev-libs/libgudev[introspection?]
        ) dev-libs/libevdev introspection? ( >=dev-libs/gobject-introspection-1.62.0:=
        )'
      emerge.packages: dev-libs/libmanette
      kit: gnome-kit
      original.package.name: dev-libs/libmanette
      original.package.slot: "0"
      original.package.version: 0.2.6
    treedir: /build/packages
  package_dir: /pkgdir/libmanette
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: b2fbeb8889ec505ae3c70ae7e121a259d8e0ca170fe71caa08d28644bc051c39
compressiontype: zstd
files:
- usr/bin/manette-test
- usr/include/libmanette/libmanette.h
- usr/include/libmanette/manette-device.h
- usr/include/libmanette/manette-event.h
- usr/include/libmanette/manette-monitor-iter.h
- usr/include/libmanette/manette-monitor.h
- usr/include/libmanette/manette-version.h
- usr/lib64/girepository-1.0/Manette-0.2.typelib
- usr/lib64/libmanette-0.2.so
- usr/lib64/libmanette-0.2.so.0
- usr/lib64/pkgconfig/manette-0.2.pc
- usr/share/doc/libmanette-0.2.6/NEWS.bz2
- usr/share/doc/libmanette-0.2.6/README.md.bz2
- usr/share/gir-1.0/Manette-0.2.gir
- usr/share/vala/vapi/manette-0.2.deps
- usr/share/vala/vapi/manette-0.2.vapi
- var/db/pkg/dev-libs/libmanette-0.2.6/BDEPEND
- var/db/pkg/dev-libs/libmanette-0.2.6/BUILD_TIME
- var/db/pkg/dev-libs/libmanette-0.2.6/CATEGORY
- var/db/pkg/dev-libs/libmanette-0.2.6/CBUILD
- var/db/pkg/dev-libs/libmanette-0.2.6/CFLAGS
- var/db/pkg/dev-libs/libmanette-0.2.6/CHOST
- var/db/pkg/dev-libs/libmanette-0.2.6/CONTENTS
- var/db/pkg/dev-libs/libmanette-0.2.6/COUNTER
- var/db/pkg/dev-libs/libmanette-0.2.6/CXXFLAGS
- var/db/pkg/dev-libs/libmanette-0.2.6/DEFINED_PHASES
- var/db/pkg/dev-libs/libmanette-0.2.6/DEPEND
- var/db/pkg/dev-libs/libmanette-0.2.6/DESCRIPTION
- var/db/pkg/dev-libs/libmanette-0.2.6/EAPI
- var/db/pkg/dev-libs/libmanette-0.2.6/FEATURES
- var/db/pkg/dev-libs/libmanette-0.2.6/HOMEPAGE
- var/db/pkg/dev-libs/libmanette-0.2.6/INHERITED
- var/db/pkg/dev-libs/libmanette-0.2.6/IUSE
- var/db/pkg/dev-libs/libmanette-0.2.6/IUSE_EFFECTIVE
- var/db/pkg/dev-libs/libmanette-0.2.6/KEYWORDS
- var/db/pkg/dev-libs/libmanette-0.2.6/LDFLAGS
- var/db/pkg/dev-libs/libmanette-0.2.6/LICENSE
- var/db/pkg/dev-libs/libmanette-0.2.6/NEEDED
- var/db/pkg/dev-libs/libmanette-0.2.6/PF
- var/db/pkg/dev-libs/libmanette-0.2.6/PROVIDES
- var/db/pkg/dev-libs/libmanette-0.2.6/RDEPEND
- var/db/pkg/dev-libs/libmanette-0.2.6/REQUIRES
- var/db/pkg/dev-libs/libmanette-0.2.6/SIZE
- var/db/pkg/dev-libs/libmanette-0.2.6/SLOT
- var/db/pkg/dev-libs/libmanette-0.2.6/USE
- var/db/pkg/dev-libs/libmanette-0.2.6/environment.bz2
- var/db/pkg/dev-libs/libmanette-0.2.6/libmanette-0.2.6.ebuild
- var/db/pkg/dev-libs/libmanette-0.2.6/repository
package_cacheimage: ""
runtime:
  name: libmanette
  version: 0.2.6
  category: dev-libs
  use_flags:
  - introspection
  - udev
  - vala
  requires:
  - name: libevdev
    version: '>=0'
    category: dev-libs
  - name: libgudev
    version: '>=0'
    category: dev-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Simple GObject game controller library
  uri:
  - https://gitlab.gnome.org/aplazas/libmanette
  license: LGPL-2.1+
  labels:
    BDEPEND: app-arch/xz-utils >=dev-util/meson-0.48.2 >=dev-util/ninja-1.7.2
    DEPEND: vala? ( || ( dev-lang/vala:0.50 dev-lang/vala:0.48 dev-lang/vala:0.46
      dev-lang/vala:0.44 dev-lang/vala:0.42 dev-lang/vala:0.40 dev-lang/vala:0.36
      ) ) virtual/pkgconfig dev-util/desktop-file-utils x11-misc/shared-mime-info
    IUSE: +introspection +udev +vala
    RDEPEND: '>=dev-libs/glib-2.62.2:2 udev? ( dev-libs/libgudev[introspection?] )
      dev-libs/libevdev introspection? ( >=dev-libs/gobject-introspection-1.62.0:=
      )'
    emerge.packages: dev-libs/libmanette
    kit: gnome-kit
    original.package.name: dev-libs/libmanette
    original.package.slot: "0"
    original.package.version: 0.2.6
